Subject: Re: [INDEP] [rfc-i] RFC Editor Structure

From: Bob Braden <[email-masked]>
Date: Wed, 4 Jun 2008 13:33:44 -0700 (PDT)

Dear hmdmhdfmhdjmzdtjmzdtzktdkztdjz,

You wrote:
  *> 
  *> Thanks for info.  Some quick observations while looking at the
  *> picture of your model:  You don't cover the rather convoluted
  *> interactions between IESG and "ISS", to fix that please sort

See RFC 3932.

  *> the "stream" columns like that:  IAB | IETF | community | IRTF.

I am not aware of any implied ordering, and I don't know
what it would mean.

  *> 
  *> RFC number assignment should be the privilege of the RFC editor,
  *> not of some "outsourced" RFC production entity.  This used to be
  *> great magic in the past, and it is a completely subjective magic.

It is not a "privilege", but a duty.  And not exactly magic, but the
community likes it that RFC 2822 was an update to RFC 822, for example.
Not an accident, though Joyce used to like to pretend it was.

The RFC Editor organization believes that RFC number assignment is
inextricably bound with the production process, so it would make
little sense to separate these functions.   This assumes that
the RFC publication model continues to use late binding for RFC
numbers, as it always has.  Another choice (which I believe has
some serious flaws) would be to change to early RFC number binding --
say, RFC numbers are assigned by the IESG before the document
enters the publication process.  The IESG could go as far as it
wanted towards structuring the number space (and how long would
it be before a Dewey decimal numbering scheme appeared?).

Bob Braden
_______________________________________________
INDEPENDENT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/independent

---

From: "Frank Ellermann" <[email-masked]>
Date: Wed, 4 Jun 2008 23:39:48 +0200

> See RFC 3932.

Yes, I'm aware of it, but the IAB picture has no "arrow" 
(indicating required cooperation) between "ISS" and IESG...  
 
>> "stream" columns like that:  IAB | IETF | community | IRTF.
 
> I am not aware of any implied ordering, and I don't know

...just a trick to get "ISS" and IETF in adjacent columns,
allowing to insert the missing arrow.  And as side effect
showing that IETF and IRTF are two parts of the community.

> not exactly magic, but the community likes it that 
> RFC 2822 was an update to RFC 822, for example.

+1  That's what I tried to say.

 Frank (I didn't pick the weird local part because I liked it)
-- 
<http://omniplex.blogspot.com/2008/02/patch-that-zeppelin.html>

---

From: Eric Rescorla <[email-masked]>
Date: Thu, 05 Jun 2008 10:20:38 -0700

At Wed, 4 Jun 2008 13:33:44 -0700 (PDT),
> Not an accident, though Joyce used to like to pretend it was.

I can't speak for the community, but at least speaking for me, I don't
like it much. It's not something I'm ready to go to the mat on,
but if there was a button that said "stop doing that", I would push it.

-Ekr